Please upgrade here. These earlier versions are no longer being updated and have security issues.

error : The Gdn_Form object does not have "xlabelWrap" Method

This discussion is related to the Feed Discussions addon.

Hi,

I am trying to use this plugin on vanilla 2.3.
Here is the error I have:

I am not sure how to proceed now. Thanks !

Comments

  • RiverRiver MVP
    edited November 2016

    what version of the plugin are you using?

    the https://vanillaforums.org/addon/1262/feed-discussions version 1.2.1 has no labelwrap method.

    labelwrap method is only available in vanilla master. it is not in vanilla 2.3

    https://github.com/vanilla/vanilla/blob/master/library/core/class.form.php#L1851

     public function labelWrap($TranslationCode, $FieldName = '', $Attributes = array()) {
    return '<div class="label-wrap">'.$this->label($TranslationCode, $FieldName, $Attributes).'</div>';
    }
    

    labelwrap is NOT in vanilla 2.3

    staff plugins on github are often related to vanilla master, not the current stable release of a vanilla
    and the plugins in the add-ons may be out of date incompatible with the current stable version. catch-22.

    bottom line github add-ons may not work and may be incompatible with vanilla 2.3

    Pragmatism is all I have to offer. Avoiding the sidelines and providing centerline pro-tips.

  • 78__8878__88 New
    edited November 2016

    I was using the github version. My bad. Thanks , will try with 1.2.1 :)

    edit : it's working now.

    I could add my feed. I put a 1 minute polling on http://feeds.feedburner.com/OceanFacts . I see the fetch process has ran ('Updated: 2016-11-23 19:52:10'). But nothing in the category where it's supposed to put the posts (I selected : older posts).

    How should I go about debugging this ?thanks !

Sign In or Register to comment.